# Nothing to moc here, so avoid empty build units.
set(CMAKE_AUTOMOC OFF)

add_library(Util STATIC
    plist.cpp
    sqlitedatabase.cpp

    # Show headers without .cpp in Qt Creator.
    caseinsensitivemap.h
)

find_package(Qt5Core REQUIRED)
target_link_libraries(Util Qt5::Core)

set(SQLite_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../../dependencies/sqlite/include")
target_link_directories(Util PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/../../../dependencies/sqlite/lib")
set(SQLite_LIBRARY sqlite3.lib)

#find_package(SQLite REQUIRED)
include_directories(${SQLite_INCLUDE_DIR})
target_link_libraries(Util ${SQLite_LIBRARY})

# TODO: Do not export SQLite headers.
target_include_directories(Util PUBLIC ${SQLite_INCLUDE_DIR})
